Holger's Java API

## com.antelmann.db
Class ConnectionException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  java.rmi.RemoteException
                      com.antelmann.db.DatabaseException
                          com.antelmann.db.ConnectionException

All Implemented Interfaces:
  Serializable

    public class ConnectionException

extends DatabaseException

ConnectionException signals access problems with the database. The database that caused this error, may not be properly accessible anymore, once this exception was thrown.

Author:
  Holger Antelmann
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.rmi.RemoteException
`detail`

Constructor Summary
`ConnectionException()`
`ConnectionException(String message)`
`ConnectionException(String message, Throwable cause)`
`ConnectionException(Throwable cause)`

Method Summary

Methods inherited from class java.rmi.RemoteException
`getCause, getMessage`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConnectionException

    public ConnectionException()

### ConnectionException

    public ConnectionException(String message)

### ConnectionException

    public ConnectionException(Throwable cause)

### ConnectionException

    public ConnectionException(String message,
                               Throwable cause)

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads